# Method Concurrent.Promise()->success()

Method success

  ``this_program` success(`mixed` `value`)`

Description

  Fulfill the Future.

Parameter `value`

  Result of the Future.

Throws

  Throws an error if the Future already has been fulfilled or failed.

  Mark the Future as fulfilled, and schedule the on_success() callbacks to be called as soon as possible.

See also

  try_success(), try_failure(), failure(), on_success()